@echo off
if exist dehacked.exe goto thisdir
if exist dehacked\dehacked.exe goto dehdir

echo Patch not installed
doom2 -file schoold2.wad
goto end

:thisdir
dehacked -reload
dehacked -load schoold2.deh
doomhack -file schoold2.wad
goto end

:dehdir
dehacked\dehacked -reload
dehacked\dehacked -load schoold2.deh
doomhack -file schoold2.wad

:end
